Bug 1576281 (CVE-2018-5182) - CVE-2018-5182 Mozilla: Local file can be displayed from hyperlink dragged and dropped on addressbar
Summary: CVE-2018-5182 Mozilla: Local file can be displayed from hyperlink dragged and...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2018-5182
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1573375
TreeView+ depends on / blocked
 
Reported: 2018-05-09 07:16 UTC by Doran Moppert
Modified: 2019-09-29 14:38 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:22:26 UTC


Attachments (Terms of Use)

Description Doran Moppert 2018-05-09 07:16:50 UTC
If a text string that happens to be a filename in the operating system's native format is dragged and dropped onto the addressbar the specified local file will be opened. This is contrary to policy and is what would happen if the string were the equivalent `file:` URL.



External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2018-11/#CVE-2018-5182

Comment 1 Doran Moppert 2018-05-09 07:16:54 UTC
Acknowledgments:

Name: the Mozilla project
Upstream: Jordi Chancel


Note You need to log in before you can comment on or make changes to this bug.